import sqlite3
import sys


DBFILE = "db/im.db"

CREATE_IMDB_TBL = "create table imdb_records (imdb_id text, media_type text, original_media_type text, primary_title text, original_title text, is_adult bool, start_year number, end_year number, runtime number, genres text);"
CREATE_DATA_TBL = "create table movies (imdb_id text, media_type text, title text, earliest_year number, latest_year number, wiki_entry text);"


def create_table(sql) -> None:
    try:
        conn = sqlite3.connect(DBFILE)
    except:
        sys.exit()

    with conn:
        curs = conn.cursor()
        curs.execute(sql)
        conn.commit()
        curs.close()


create_table(CREATE_IMDB_TBL)
create_table(CREATE_DATA_TBL)


